spring:
  redis:
    database: 0
    host: 172.30.0.17
    password: hcst@2021..
    port: 6379
    lettuce:
      pool:
        max-active: 8   #最大连接数据库连接数,设 0 为没有限制
        max-idle: 8     #最大等待连接中的数量,设 0 为没有限制
        max-wait: -1ms  #最大建立连接等待时间。如果超过此时间将接到异常。设为-1表示无限制。
        min-idle: 0     #最小等待连接中的数量,设 0 为没有限制
      shutdown-timeout: 100ms
  cloud:
    nacos:
      config:
        password:
        username:
      discovery:
        server-addr: 172.30.0.7:8848
        service: jeecg-gateway
        namespace:
    gateway:
      discovery:
        locator:
          enabled: true
      globalcors:
        cors-configurations:
          '[/**]':
            allowCredentials: true
            allowedOrigins: "*"
            allowedMethods: "*"
            allowedHeaders: "*"
      routes:
      - id: jeecg-system
        uri: lb://jeecg-system
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
        predicates:
          - Path=/jeecg-boot/**
      - id: jeecg-bytedance-ad
        uri: lb://jeecg-bytedance-ad
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
        predicates:
          - Path=/bytedanceAd/**
      - id: jeecg-cloud-finance
        uri: lb://jeecg-cloud-finance
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
        predicates:
          - Path=/finance/**
      - id: jeecg-cloud-report
        uri: lb://jeecg-cloud-report
        predicates:
          - Path=/reportModule/**
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
      - id: jeecg-cloud-material
        uri: lb://jeecg-cloud-material
        predicates:
          - Path=/material/**
        filters:
          - DedupeResponseHeader=Access-Control-Allow-Credentials Access-Control-Allow-Origin
# hystrix 信号量隔离，3秒后自动超时
hystrix:
  enabled: true
  shareSecurityContext: true
  command:
    default:
      execution:
        isolation:
          strategy: SEMAPHORE
          thread:
            timeoutInMilliseconds: 3000
jeecg:
  route:
    config:
      data-id: mate-gateway-router
      group: DEFAULT_GROUP
      data-type: yml
